// Color system
$color-base:                #000 !default;
$color-blue:                #1B93D9 !default;
$color-orange:              #FF9700 !default;
$color-light-blue:          #E1F4FF !default;
$color-gray:                #79A8C3 !default;

$dark:                      #0B3C59 !default;
$dark-150:                  rgba(11,60,89,0.15) !default;
$gray:                      #79A8C3 !default;
$blue:                      #1B93D9 !default;
$blue-100:                  #79A8C3 !default;
$blue-200:                  #DCEEF8 !default;
$blue-300:                  #E1F4FF !default;
$orange:                    #FF9700 !default;
$light-blue:                #BCE8FF !default;
$white:                     #ffffff !default;
$black:                     #000000 !default;

// Fonts
$font-family-base:          'Open Sans', Arial, sans-serif !default;
$font-family-head:          'Open Sans', Arial, sans-serif !default;

$font-size-reset:           10px;
$font-size-base:            1.6rem !default;
$line-height-base:          1.5 !default;

// Grid
$grid-columns: 12 !default; // Set number of columns in the grid

$screen-xs-min:                 0;
$screen-sm-min:                 576px !default;
$screen-md-min:                 768px !default;
$screen-lg-min:                 1024px !default;
$screen-xl-min:                 1024px !default;

$screen-xs-max:              ($screen-sm-min - 0.1) !default;
$screen-sm-max:              ($screen-md-min - 0.1) !default;
$screen-md-max:              ($screen-lg-min - 0.1) !default;
$screen-lg-max:              ($screen-xl-min - 0.1) !default;

$container-sm:               530px;
$container-md:               710px;
$container-lg:               990px;
$container-xl:               990px;

$gutter: 1.5rem !default; // Set gutter size

$content-well-max-width: "none" !default; // Set the max-width of the content well

// Breakpoints
// Create breakpoint range statements to be used in media queries
$breakpoint-xs-only: "only screen and (max-width: #{$screen-xs-max})"; // 0 -> xs-max range

$breakpoint-sm-up: "only screen and (min-width: #{$screen-sm-min})"; // sm-start -> up range

$breakpoint-sm-only: "only screen and (min-width: #{$screen-sm-min}) and (max-width: #{$screen-sm-max})"; // sm-start -> sm-max range

$breakpoint-md-up: "only screen and (min-width: #{$screen-md-min})"; // md-start -> up range

$breakpoint-md-only: "only screen and (min-width: #{$screen-md-min}) and (max-width: #{$screen-md-max})"; // md-start -> md-max range

$breakpoint-lg-up: "only screen and (min-width: #{$screen-lg-min})"; // lg-start -> up range

$breakpoint-lg-only: "only screen and (min-width: #{$screen-lg-min}) and (max-width: #{$screen-lg-max})"; // lg-start -> lg-max range

$breakpoint-xl-up: "only screen and (min-width: #{$screen-xl-min})"; // xl-start -> up range

$breakpoints-all: ($breakpoint-xs-only, $breakpoint-sm-up, $breakpoint-sm-only, $breakpoint-md-up, $breakpoint-md-only, $breakpoint-lg-up, $breakpoint-lg-only, $breakpoint-xl-up);
$breakpoint-ups: ($breakpoint-sm-up, $breakpoint-md-up, $breakpoint-lg-up, $breakpoint-xl-up);
$breakpoint-all-prefixes: ("xs", "xs-only", "sm", "sm-only", "md", "md-only", "lg", "lg-only", "xl");
$breakpoint-up-prefixes: ("xs", "sm", "md", "lg", "xl");
